OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.DepthBufferFloat

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVDepthBufferFloat :: MonadIO m => m Bool
- gl_NV_depth_buffer_float :: Bool
- pattern GL_DEPTH32F_STENCIL8_NV :: GLenum
- pattern GL_DEPTH_BUFFER_FLOAT_MODE_NV :: GLenum
- pattern GL_DEPTH_COMPONENT32F_NV :: GLenum
- pattern GL_FLOAT_32_UNSIGNED_INT_24_8_REV_NV :: GLenum
- glClearDepthdNV :: MonadIO m => GLdouble -> m ()
- glDepthBoundsdNV :: MonadIO m => GLdouble -> GLdouble -> m ()
- glDepthRangedNV :: MonadIO m => GLdouble -> GLdouble -> m ()

# Extension Support

glGetNVDepthBufferFloat :: MonadIO m => m Bool Source #

Is the NV_depth_buffer_float extension supported?

gl_NV_depth_buffer_float :: Bool Source #

Is the NV_depth_buffer_float extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVDepthBufferFloat` in those cases instead.

# Enums

pattern GL_DEPTH32F_STENCIL8_NV :: GLenum Source #

pattern GL_DEPTH_BUFFER_FLOAT_MODE_NV :: GLenum Source #

pattern GL_DEPTH_COMPONENT32F_NV :: GLenum Source #

pattern GL_FLOAT_32_UNSIGNED_INT_24_8_REV_NV :: GLenum Source #

# Functions

glClearDepthdNV Source #

Arguments

:: MonadIO m |
=> GLdouble | `depth`.
-> m () |

glDepthBoundsdNV Source #

Arguments

:: MonadIO m |
=> GLdouble | `zmin`.
-> GLdouble | `zmax`.
-> m () |

glDepthRangedNV Source #

Arguments

:: MonadIO m |
=> GLdouble | `zNear`.
-> GLdouble | `zFar`.
-> m () |